webdevqa.jp.net

読めないノートブック:サポートされていないJSON nbformatバージョン4(サポートされているバージョン:3)

IPython 14.04を実行しているラップトップにpipを使用してUbuntu 3.0をインストールしました。

$ pip search ipython
ipython-cluster-helper    - Simplify IPython cluster start up and use for
                            multiple schedulers.
ipython                   - IPython: Productive Interactive Computing
  INSTALLED: 3.0.0 (latest)

ただし、IPythonを使用すると、ターミナルはバージョン1.2.1を使用していると思います。

$ ipython
Python 2.7.6 (default, Mar 22 2014, 22:59:38) 
Type "copyright", "credits" or "license" for more information.

IPython 1.2.1 -- An enhanced Interactive Python.
?         -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help      -> Python's own help system.
object?   -> Details about 'object', use 'object??' for extra details.

In [1]

さらに悪いことに、IPython 3.0がサポートするJSON nbformatバージョン4でノートブックを開くと、次のエラーが発生します。

Unreadable Notebook: Unsupported JSON nbformat version 4 (supported version: 3)

IPythonチームが推奨するコマンドを使用して、ノートブックをバージョン3にダウングレードしようとしましたが、これも失敗しました。

$ ipython nbconvert --to notebook --nbformat 3 1-intro-to-brian-neurons.ipynb 
. . .
[NbConvertApp] CRITICAL | Bad config encountered during initialization:
[NbConvertApp] CRITICAL | Unrecognized flag: '--nbformat'

何が起きてる?

21
dbliss

以前のバージョンのIPythonは、以前にapt-getを使用してインストールされました。 apt-get remove ipythonを使用して古いバージョンを削除します。

2
Fabian Rost

jupyter nbconvert --to notebook --nbformat=3 <file.ipynb>は私のために働きました。私のローカルanaconda2はバージョン4をサポートしていますが、Dockerのipythonはサポートしていません。

0
was